> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get user profile

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/users/{userId}/profile

Retrieves the user profile information, the privacy settings and personal information (address, phone number, etc.) for the specified user.

The userId parameter specified in the endpoint must match the authenticated user's user ID and the user must be a member of the specified account.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/users/userprofiles/get

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `userId` (string, required) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.

## Response

### 200

Successful response.

- `address` (addressInformation_v2, optional)
- `authenticationMethods` (list of authenticationMethod, optional) — These properties cannot be modified in the PUT. Indicates the authentication methods used by the user.
- `companyName` (string, optional) — The name of the user's Company.
- `displayOrganizationInfo` (string, optional) — When set to **true**, the user's company and title information are shown on the ID card.
- `displayPersonalInfo` (string, optional) — When set to **true**, the user's Address and Phone number are shown on the ID card.
- `displayProfile` (string, optional) — When set to **true**, the user's ID card can be viewed from signed documents and envelope history.
- `displayUsageHistory` (string, optional) — When set to **true**, the user's usage information is shown on the ID card.
- `profileImageUri` (string, optional)
- `title` (string, optional) — The title of the user.
- `usageHistory` (usageHistory, optional) — A complex element consisting of: * lastSentDateTime - the date and time the user last sent an envelope. * lastSignedDateTime - the date and time the user last signed an envelope. * sentCount - the number of envelopes the user has sent. * signedCount - the number of envelopes the user has signed.
- `userDetails` (userInformation, optional)
- `userProfileLastModifiedDate` (string, optional) — The date-time when the user's profile was last modified.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### addressInformation_v2

- `address1` (string, optional) — First Line of the address. Maximum length: 100 characters.
- `address2` (string, optional) — Second Line of the address. Maximum length: 100 characters.
- `city` (string, optional)
- `country` (string, optional) — Specifies the country associated with the address.
- `fax` (string, optional)
- `phone` (string, optional)
- `postalCode` (string, optional)
- `stateOrProvince` (string, optional) — The state or province associated with the address.

### authenticationMethod

Contains information about the method used for authentication.

- `authenticationType` (string, optional) — Indicates the type of authentication. Valid values are: PhoneAuth, STAN, ISCheck, OFAC, AccessCode, AgeVerify, or SSOAuth.
- `lastProvider` (string, optional) — The last provider that authenticated the user.
- `lastTimestamp` (string, optional) — The data and time the user last used the authentication method.
- `totalCount` (integer, optional) — The number of times the authentication method was used.

### usageHistory

A complex element consisting of: * lastSentDateTime - the date and time the user last sent an envelope. * lastSignedDateTime - the date and time the user last signed an envelope. * sentCount - the number of envelopes the user has sent. * signedCount - the number of envelopes the user has signed.

- `lastSentDateTime` (string, optional) — The date and time the user last sent an envelope.
- `lastSignedDateTime` (string, optional) — The date and time the user last signed an envelope.
- `sentCount` (integer, optional) — The number of envelopes the user has sent.
- `signedCount` (integer, optional) — The number of envelopes the user has signed.

### userInformation

- `accountManagementGranular` (userAccountManagementGranularInformation, optional) — Describes which account management capabilities a user has.
- `activationAccessCode` (string, optional)
- `countryCode` (string, optional)
- `createdDateTime` (string, optional) — Indicates the date and time the item was created.
- `customSettings` (list of nameValue, optional) — The name/value pair information for the user custom setting.
- `email` (string, optional)
- `enableConnectForUser` (string, optional) — Specifies whether the user is enabled for updates from DocuSign Connect. Valid values: true or false.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `firstName` (string, optional) — The user's first name. Maximum Length: 50 characters.
- `forgottenPasswordInfo` (forgottenPasswordInformation, optional) — A complex element that has up to four Question/Answer pairs for forgotten password information.
- `groupList` (list of group, optional) — A list of the group information for groups to add the user to. Group information can be found by calling [ML:GET group information]. The only required parameter is groupId. The parameters are: * groupId - The DocuSign group ID for the group. * groupName - The name of the group * permissionProfileId - The ID of the permission profile associated with the group. * groupType - The group type.
- `homeAddress` (addressInformation_v2, optional)
- `initialsImageUri` (string, optional) — Contains the URI for an endpoint that you can use to retrieve the initials image.
- `isAdmin` (string, optional) — Determines if the feature set is actively set as part of the plan.
- `jobTitle` (string, optional)
- `lastLogin` (string, optional) — The date-time when the user last logged on to the system.
- `lastName` (string, optional) — The recipient's last name.
- `loginStatus` (string, optional)
- `middleName` (string, optional) — The user's middle name. Limit: 50 characters.
- `password` (string, optional)
- `passwordExpiration` (string, optional) — If password expiration is enabled, the date-time when the user's password expires.
- `permissionProfileId` (string, optional)
- `permissionProfileName` (string, optional)
- `profileImageUri` (string, optional)
- `sendActivationEmail` (string, optional)
- `sendActivationOnInvalidLogin` (string, optional) — When set to **true**, specifies that an additional activation email is sent to the user if they fail a log on before activating their account.
- `signatureImageUri` (string, optional) — Contains the URI for an endpoint that you can use to retrieve the signature image.
- `subscribe` (string, optional)
- `suffixName` (string, optional) — The suffix for the user's name, such as Jr, IV, PhD, etc. Limit: 50 characters.
- `title` (string, optional) — The title of the user.
- `uri` (string, optional)
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.
- `userName` (string, optional)
- `userProfileLastModifiedDate` (string, optional) — The date-time when the user's profile was last modified.
- `userSettings` (list of nameValue, optional)
- `userStatus` (string, optional) — Status of the user's account. One of: * ActivationRequired * ActivationSent * Active * Closed * Disabled
- `userType` (string, optional)
- `workAddress` (addressInformation_v2, optional)

### userAccountManagementGranularInformation

Describes which account management capabilities a user has.

- `canManageAccountSecuritySettings` (string, optional)
- `canManageAccountSecuritySettingsMetadata` (settingsMetadata, optional)
- `canManageAccountSettings` (string, optional)
- `canManageAccountSettingsMetadata` (settingsMetadata, optional)
- `canManageAdmins` (string, optional) — **True** if the user can manage admins.
- `canManageAdminsMetadata` (settingsMetadata, optional)
- `canManageEnvelopeTransfer` (string, optional)
- `canManageEnvelopeTransferMetadata` (settingsMetadata, optional)
- `canManageGroups` (string, optional) — **True** if the user can manage groups.
- `canManageGroupsMetadata` (settingsMetadata, optional)
- `canManageReporting` (string, optional)
- `canManageReportingMetadata` (settingsMetadata, optional)
- `canManageSharing` (string, optional)
- `canManageSharingMetadata` (settingsMetadata, optional)
- `canManageSigningGroups` (string, optional)
- `canManageSigningGroupsMetadata` (settingsMetadata, optional)
- `canManageUsers` (string, optional) — **True** if the user can manage users.
- `canManageUsersMetadata` (settingsMetadata, optional)
- `canViewUsers` (string, optional)
- `canViewUsersMetadata` (settingsMetadata, optional)

### nameValue

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name or key of a name/value pair.
- `originalValue` (string, optional) — The initial value of the tab when it was sent to the recipient.
- `value` (string, optional) — The value field of a name/value pair.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

### forgottenPasswordInformation

A complex element that has up to four Question/Answer pairs for forgotten password information.

- `forgottenPasswordAnswer1` (string, optional) — The answer to the first forgotten password challenge question.
- `forgottenPasswordAnswer2` (string, optional) — The answer to the second forgotten password challenge question.
- `forgottenPasswordAnswer3` (string, optional) — The answer to the third forgotten password challenge question.
- `forgottenPasswordAnswer4` (string, optional) — The answer to the fourth forgotten password challenge question.
- `forgottenPasswordQuestion1` (string, optional) — The first challenge question presented to a user who has forgotten their password.
- `forgottenPasswordQuestion2` (string, optional) — The second challenge question presented to a user who has forgotten their password.
- `forgottenPasswordQuestion3` (string, optional) — The third challenge question presented to a user who has forgotten their password.
- `forgottenPasswordQuestion4` (string, optional) — The fourth challenge question presented to a user who has forgotten their password.

### group

Information about groups.

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `groupId` (string, optional) — The DocuSign group ID for the group.
- `groupName` (string, optional) — The name of the group.
- `groupType` (string, optional) — The group type.
- `permissionProfileId` (string, optional) — The ID of the permission profile associated with the group.
- `users` (list of userInfo, optional) — List of users in the group.

### settingsMetadata

- `is21CFRPart11` (string, optional) — When set to **true**, indicates that this module is enabled on the account.
- `options` (list of string, optional)
- `rights` (string, optional)
- `uiHint` (string, optional)
- `uiOrder` (string, optional)
- `uiType` (string, optional)

### userInfo

- `activationAccessCode` (string, optional)
- `email` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `loginStatus` (string, optional)
- `sendActivationEmail` (string, optional)
- `uri` (string, optional)
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.
- `userName` (string, optional)
- `userStatus` (string, optional) — Status of the user's account. One of: * ActivationRequired * ActivationSent * Active * Closed * Disabled
- `userType` (string, optional)

## Examples

**Response**

```json
{
  "address": {
    "address1": "string",
    "address2": "string",
    "city": "string",
    "country": "string",
    "fax": "string",
    "phone": "string",
    "postalCode": "string",
    "stateOrProvince": "string"
  },
  "authenticationMethods": [
    {
      "authenticationType": "string",
      "lastProvider": "string",
      "lastTimestamp": "string",
      "totalCount": 1
    }
  ],
  "companyName": "string",
  "displayOrganizationInfo": "string",
  "displayPersonalInfo": "string",
  "displayProfile": "string",
  "displayUsageHistory": "string",
  "profileImageUri": "string",
  "title": "string",
  "usageHistory": {
    "lastSentDateTime": "string",
    "lastSignedDateTime": "string",
    "sentCount": 1,
    "signedCount": 1
  },
  "userDetails": {
    "accountManagementGranular": {
      "canManageAccountSecuritySettings": "string",
      "canManageAccountSecuritySettingsMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      },
      "canManageAccountSettings": "string",
      "canManageAccountSettingsMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      },
      "canManageAdmins": "string",
      "canManageAdminsMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      },
      "canManageEnvelopeTransfer": "string",
      "canManageEnvelopeTransferMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      },
      "canManageGroups": "string",
      "canManageGroupsMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      },
      "canManageReporting": "string",
      "canManageReportingMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      },
      "canManageSharing": "string",
      "canManageSharingMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      },
      "canManageSigningGroups": "string",
      "canManageSigningGroupsMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      },
      "canManageUsers": "string",
      "canManageUsersMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      },
      "canViewUsers": "string",
      "canViewUsersMetadata": {
        "is21CFRPart11": "string",
        "options": [
          "string"
        ],
        "rights": "string",
        "uiHint": "string",
        "uiOrder": "string",
        "uiType": "string"
      }
    },
    "activationAccessCode": "string",
    "countryCode": "string",
    "createdDateTime": "string",
    "customSettings": [
      {
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "name": "string",
        "originalValue": "string",
        "value": "string"
      }
    ],
    "email": "string",
    "enableConnectForUser": "string",
    "errorDetails": {
      "errorCode": "string",
      "message": "string"
    },
    "firstName": "string",
    "forgottenPasswordInfo": {
      "forgottenPasswordAnswer1": "string",
      "forgottenPasswordAnswer2": "string",
      "forgottenPasswordAnswer3": "string",
      "forgottenPasswordAnswer4": "string",
      "forgottenPasswordQuestion1": "string",
      "forgottenPasswordQuestion2": "string",
      "forgottenPasswordQuestion3": "string",
      "forgottenPasswordQuestion4": "string"
    },
    "groupList": [
      {
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "groupId": "string",
        "groupName": "string",
        "groupType": "string",
        "permissionProfileId": "string",
        "users": [
          {
            "activationAccessCode": "string",
            "email": "string",
            "errorDetails": {
              "errorCode": "string",
              "message": "string"
            },
            "loginStatus": "string",
            "sendActivationEmail": "string",
            "uri": "string",
            "userId": "string",
            "userName": "string",
            "userStatus": "string",
            "userType": "string"
          }
        ]
      }
    ],
    "homeAddress": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "string",
      "fax": "string",
      "phone": "string",
      "postalCode": "string",
      "stateOrProvince": "string"
    },
    "initialsImageUri": "string",
    "isAdmin": "string",
    "jobTitle": "string",
    "lastLogin": "string",
    "lastName": "string",
    "loginStatus": "string",
    "middleName": "string",
    "password": "string",
    "passwordExpiration": "string",
    "permissionProfileId": "string",
    "permissionProfileName": "string",
    "profileImageUri": "string",
    "sendActivationEmail": "string",
    "sendActivationOnInvalidLogin": "string",
    "signatureImageUri": "string",
    "subscribe": "string",
    "suffixName": "string",
    "title": "string",
    "uri": "string",
    "userId": "string",
    "userName": "string",
    "userProfileLastModifiedDate": "string",
    "userSettings": [
      {
        "errorDetails": {
          "errorCode": "string",
          "message": "string"
        },
        "name": "string",
        "originalValue": "string",
        "value": "string"
      }
    ],
    "userStatus": "string",
    "userType": "string",
    "workAddress": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "string",
      "fax": "string",
      "phone": "string",
      "postalCode": "string",
      "stateOrProvince": "string"
    }
  },
  "userProfileLastModifiedDate": "string"
}
```